cURL
curl --request GET 'https://api.brightalk.ai/automation-runs/run_demo_001' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16"const response = await fetch("https://api.brightalk.ai/automation-runs/run_demo_001", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
},
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"GET",
"https://api.brightalk.ai/automation-runs/run_demo_001",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
},
)
print(response.status_code, response.json()){
"id": "run_demo_001",
"status": "queued",
"automation_id": "atm_demo_001",
"contact_id": "con_demo_001",
"input": {},
"queued_at": "2026-07-20T01:00:00Z",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z",
"failure_code": "step_failed",
"started_at": "2026-07-20T01:00:00Z",
"completed_at": "2026-07-20T01:00:00Z",
"cancelled_at": "2026-07-20T01:00:00Z"
}自動化執行
取得自動化執行
依不透明識別碼傳回一個由 API 啟動的自動化執行。每個回應都包含 Brightalk-Version 與 X-Request-Id;受到速率限制的回應還會提供實際套用之配額群組的計數器。
GET
/
automation-runs
/
{run_id}
cURL
curl --request GET 'https://api.brightalk.ai/automation-runs/run_demo_001' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16"const response = await fetch("https://api.brightalk.ai/automation-runs/run_demo_001", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
},
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"GET",
"https://api.brightalk.ai/automation-runs/run_demo_001",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
},
)
print(response.status_code, response.json()){
"id": "run_demo_001",
"status": "queued",
"automation_id": "atm_demo_001",
"contact_id": "con_demo_001",
"input": {},
"queued_at": "2026-07-20T01:00:00Z",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z",
"failure_code": "step_failed",
"started_at": "2026-07-20T01:00:00Z",
"completed_at": "2026-07-20T01:00:00Z",
"cancelled_at": "2026-07-20T01:00:00Z"
}授權
Use a server-side Brightalk API key in the Authorization header.
標頭
選擇以日期為基礎的 API 版本。省略時會使用組織固定的預設版本。
Allowed value:
"2026-07-16"由呼叫端產生且符合 [A-Za-z0-9._:-]{1,64} 的關聯值。無效值會被取代。
Maximum string length:
64Pattern:
^[A-Za-z0-9._:-]{1,64}$路徑參數
不透明的自動化執行識別碼。 不透明的資源識別碼。
Required string length:
1 - 255範例:
"run_demo_001"
回應
已傳回自動化執行。
不透明的資源識別碼。
Required string length:
1 - 255範例:
"run_demo_001"
可用選項:
queued, running, waiting, completed, failed, cancelled 不透明的資源識別碼。
Required string length:
1 - 255範例:
"atm_demo_001"
不透明的資源識別碼。
Required string length:
1 - 255範例:
"con_demo_001"
只能提供所選自動化宣告的名稱。輸入的序列化 JSON 上限為 32 KiB,巢狀深度上限為 10。目前契約未公開任何已宣告名稱,因此請省略 input 或傳送空物件。
執行進入持久佇列的時間。
範例:
"2026-07-20T01:00:00Z"
執行資源的建立時間。
範例:
"2026-07-20T01:00:00Z"
執行資源上次更新的時間。
範例:
"2026-07-20T01:00:00Z"
執行失敗時的穩定失敗分類。
範例:
"step_failed"
開始執行的時間。
範例:
"2026-07-20T01:00:00Z"
執行完成的時間。
範例:
"2026-07-20T01:00:00Z"
取消完成的時間。
範例:
"2026-07-20T01:00:00Z"